This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 618512 - [QLogic 5.6] kABI whitelist request for qla4xxx
[QLogic 5.6] kABI whitelist request for qla4xxx
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
high Severity high
: rc
: 5.6
Assigned To: Jon Masters
Red Hat Kernel QE team
: OtherQA, Reopened
Depends On:
Blocks: 557597 626671
  Show dependency treegraph
 
Reported: 2010-07-27 02:40 EDT by Lalit Chandivade
Modified: 2011-01-13 16:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:45:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lalit Chandivade 2010-07-27 02:40:09 EDT
Description of problem:
We are building kmod RPM for the QLogic qla4xxx driver on RHEL 5.5 
 and facing issues while installing the binary RPM.

It complains that kernel symbols are not found. Seems kernel RPM does 
not provide scsi_transport_iscs2 symbols. Is it a known issue?  Is 
 there a solution/workaround for it? Would it be fixed in RHEL 5.6?

        ksym(iscsi2_free_session) = 116a57ec is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_register_transport) = 62abc25e is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_create_conn) = 6690c11e is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_unblock_session) = 7398bd0e is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_alloc_session) = a8a7c628 is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_add_session) = ba5186f6 is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_remove_session) = e584a69a is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_destroy_conn) = f188932e is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_block_session) = fc9f0140 is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64

        ksym(iscsi2_unregister_transport) = fe43ccdf is needed by kmod-qlgc-qla4xxx-5.01.00.03.05.05-1.x86_64



Version-Release number of selected component (if applicable):
RHEL 5.5 ad below

How reproducible:
Build qla4xxx kmod RPM and install

Actual results:
Error while installing RPM

Expected results:
No Error while installing RPM

Additional info:
More info from Mike Christie [mchristi@redhat.com]  on why this issue is seen
Pasting the email communication here
===
Doh, ok, I remember what happened now. The old iscsi_* symbols were kabid, but when we added the new/updated code with the iscsi2_* function naming we did not kabi them on purpose because we wanted the flexibility to change them when the bsg/ioctl-replacement junk was done (as you know qlogic is doing the ioctl module but some other drivers are waiting on upstream). We thought that stuff would be done quickly but we know it did not :)

> Lalit Chandivade wrote:
>> Mike,
>>
>> Should we create a Redhat BZ for this to track?
>>

Go ahead and make one. I am not sure I am going to add them until after the bsg/interface stuff is decided. When that is added upstream and we figure out what we are going to add to RHEL 5, then I can kabi whatever you want.

Until then, everyone else is shipping scsi_transport_iscsi and their LLD module and any of the lib modules that are needed.

===
Comment 1 Jon Masters 2010-08-06 13:25:54 EDT
Thanks for the bug report. Sounds like you have the right advice already, and it is true that we are not kABIing the additional iSCSI symbols. You can either ship those yourself, wait, or if you are stuck there is a workaround but has various caveats and is not ideal.
Comment 3 Andrius Benokraitis 2010-08-06 13:32:34 EDT
So it sounds like this may be a late 5.6 item if the BSG stuff is finalized, else 5.7? Does this leave QLogic in a tough spot? Any workarounds if these symbols aren't finalized until 5.7?
Comment 4 RHEL Product and Program Management 2010-08-06 13:44:47 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 5 Andrius Benokraitis 2010-08-09 17:35:57 EDT
Re-opening - this could be a late add in RHEL 5.6.
Comment 6 Jon Masters 2010-08-10 00:11:47 EDT
Let me know. At the moment, I have no planned action in 5.6 on this.
Comment 7 Andrius Benokraitis 2010-08-10 11:24:13 EDT
This is ultimately waiting for the final say from Mike Christie on how baked the symbols are. Let's wait a bit for his comments...
Comment 9 Jon Masters 2010-08-24 01:05:45 EDT
Any update from Mike?
Comment 10 RHEL Product and Program Management 2010-08-24 01:09:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Mike Christie 2010-08-24 19:33:23 EDT
For 5.6 it is going to be ok to add them. What we are doing upstream is not going to be backportable so the rhel 5 iscsi kernel api is pretty solid.
Comment 12 Jon Masters 2010-08-25 01:57:10 EDT
Cool. I'll post internally for review and get your signoff. Thanks.
Comment 14 Jon Masters 2010-09-07 03:40:29 EDT
Thank you for filing your request to update our kernel ABI whitelists. We are now reviewing your request and will endeavor to provide an update in due course.
Comment 17 Andrius Benokraitis 2010-11-16 10:34:41 EST
(In reply to comment #14)
> Thank you for filing your request to update our kernel ABI whitelists. We are
> now reviewing your request and will endeavor to provide an update in due
> course.

Has this been committed/approved, Jon?
Comment 26 Chris Ward 2010-12-02 10:29:50 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 29 errata-xmlrpc 2011-01-13 16:45:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.